org.apache.synapse.commons.datasource

## Class DataSourceFinder

- java.lang.Object
- - org.apache.synapse.commons.datasource.DataSourceFinder

-     public class DataSourceFinder
      extends java.lang.Object

  Utility class to locate DataSources from a JNDI tree

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DataSourceFinder()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static javax.sql.DataSource` | `find(java.lang.String dsName, javax.naming.Context context)` Find a DataSource using the given name and naming context
    `static javax.sql.DataSource` | `find(java.lang.String dsName, java.util.Properties jndiEnv)` Find a DataSource using the given name and JNDI environment properties

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DataSourceFinder

          public DataSourceFinder()

  - ### Method Detail

    - #### find

          public static javax.sql.DataSource find(java.lang.String dsName,
                                                  java.util.Properties jndiEnv)

      Find a DataSource using the given name and JNDI environment properties
      Parameters:
        `dsName` - Name of the DataSource to be found
        `jndiEnv` - JNDI environment properties
      Returns:
        DataSource if found , otherwise null

    - #### find

          public static javax.sql.DataSource find(java.lang.String dsName,
                                                  javax.naming.Context context)

      Find a DataSource using the given name and naming context
      Parameters:
        `dsName` - Name of the DataSource to be found
        `context` - Naming Context
      Returns:
        DataSource if found , otherwise null

Copyright © 2005-2021 Apache Software Foundation. All Rights Reserved.